SDL_HINT_ORIENTATIONS(3)

NAME
SDL_HINT_ORIENTATIONS - A variable controlling which orientations are allowed on iOS/Android.

HEADER FILE
Defined in SDL3/SDL_hints.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_HINT_ORIENTATIONS SDL_IOS_ORIENTATIONS"

DESCRIPTION
In some circumstances it is necessary to be able to explicitly control which UI orientations are allowed. This variable is a space delimited list of the following values: • "LandscapeLeft" • "LandscapeRight" • "Portrait" • "PortraitUpsideDown" This hint should be set before SDL is initialized.

AVAILABILITY
This hint is available since SDL 3.0.0.